<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "waiting_room_invite_notes".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "WaitingRoomInviteNotes".
 *
 * Columns in table "waiting_room_invite_notes" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $waiting_room_invite_id
 * @property string $note
 * @property string $date_added
 *
 */
abstract class BaseWaitingRoomInviteNotes extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'waiting_room_invite_notes';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'WaitingRoomInviteNotes|WaitingRoomInviteNotes', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('waiting_room_invite_id, date_added', 'required'),
            array('waiting_room_invite_id', 'numerical', 'integerOnly' => true),
            array('note', 'safe'),
            array('note', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, waiting_room_invite_id, note, date_added', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array();
    }

    public function pivotModels()
    {
        return array();
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'waiting_room_invite_id' => Yii::t('app', 'Waiting Room Invite'),
            'note' => Yii::t('app', 'Note'),
            'date_added' => Yii::t('app', 'Date Added'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('waiting_room_invite_id', $this->waiting_room_invite_id);
        $criteria->compare('note', $this->note, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }
}
